Skip to main content
`Ctrl`+`K`

# numpy.ndarray.flatten

method

ndarray.flatten(order='C')

  Return a copy of the array collapsed into one dimension.

  Parameters:
    order{‘C’, ‘F’, ‘A’, ‘K’}, optional

      ‘C’ means to flatten in row-major (C-style) order. ‘F’ means to flatten in column-major (Fortran- style) order. ‘A’ means to flatten in column-major order if a is Fortran contiguous in memory, row-major order otherwise. ‘K’ means to flatten a in the order the elements occur in memory. The default is ‘C’.

  Returns:
    y ndarray

      A copy of the input array, flattened to one dimension.

  See also

  `ravel`

    Return a flattened array.

  `flat`

    A 1-D flat iterator over the array.

  Examples

      >>> import numpy as np
      >>> a = np.array([[1,2], [3,4]])
      >>> a.flatten()
      array([1, 2, 3, 4])
      >>> a.flatten('F')
      array([1, 3, 2, 4])